## hardinfo 2.1.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
cmake_policy(VERSION 3.0.2)
project(hardinfo2)

set(HARDINFO2_VERSION "2.1.11")

option(HARDINFO2_GTK3 "Build for GTK3 (0/off for GTK2)" 1)
option(HARDINFO2_LIBSOUP3 "Build for libsoup-3.0 (0/off for libsoup-2.4)" 1)

SET(CMAKE_INSTALL_PREFIX "/usr")

SET(CMAKE_MODULE_PATH  "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
include(GNUInstallDirs)

if(${CMAKE_HOST_SYSTEM_NAME} MATCHES "Linux")
	set(HARDINFO2_OS "linux")
else()
	message(FATAL_ERROR "Unsupported operating system: ${CMAKE_HOST_SYSTEM_NAME}")
endif()

if(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "i[3-6]86")
	set(HARDINFO2_ARCH "x86")
elseif(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "x86_64")
	set(HARDINFO2_ARCH "x86")
elseif(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "(ppc|ppc32|ppc64|ppc64le)")
	set(HARDINFO2_ARCH "ppc")
elseif(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "(mips|mips64el)")
	set(HARDINFO2_ARCH "mips")
elseif(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "parisc.*")
	set(HARDINFO2_ARCH "parisc")
elseif(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "sparc{32,64}")
	set(HARDINFO2_ARCH "sparc")
elseif(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "arm.*")
	set(HARDINFO2_ARCH "arm")
elseif(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "aarch64.*")
	set(HARDINFO2_ARCH "arm")
elseif(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "ia64")
	set(HARDINFO2_ARCH "ia64")
elseif(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "(loongarch64|loong64)")
	set(HARDINFO2_ARCH "loongarch64")
elseif(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "alpha")
	set(HARDINFO2_ARCH "alpha")
elseif(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "s390.*")
	set(HARDINFO2_ARCH "s390")
elseif(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "m68k")
	set(HARDINFO2_ARCH "m68k")
elseif(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "sh[3-5]")
	set(HARDINFO2_ARCH "sh")
elseif(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "(riscv|riscv32|riscv64)")
	set(HARDINFO2_ARCH "riscv")
else()
	message(FATAL_ERROR "Unsupported architecture: ${CMAKE_HOST_SYSTEM_PROCESSOR}")
endif()

add_definitions(-DLOCALEDIR="${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LOCALEDIR}")
message(STATUS "LOCALEDIR = ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LOCALEDIR}")

message(STATUS "Building HardInfo2 for architecture: ${HARDINFO2_OS}-${HARDINFO2_ARCH}")

add_definitions("-std=gnu89")
#add_definitions("-Wno-deprecated-declarations")
add_definitions("-Wextra")
add_definitions("-Wno-missing-field-initializers")
add_definitions("-Wformat")
add_definitions("-Wformat-security")

set(PACKAGE_LIBSOUP2_MINVERSION 2.42)
set(PACKAGE_LIBGLIB2_MINVERSION 2.24)

#########################CPack PACKAGING SETUP###############################
set(RPM 0)
file(STRINGS /etc/os-release distro REGEX "^NAME=")
string(REGEX REPLACE "NAME=" "" distro "${distro}")
string(REGEX REPLACE "\"" "" distro "${distro}")
string(REGEX REPLACE "/" "" distro "${distro}")
string(REGEX REPLACE " " "" distro "${distro}")
file(STRINGS /etc/os-release disversion REGEX "^VERSION_ID=")
string(REGEX REPLACE "VERSION_ID=" "" disversion "${disversion}")
string(COMPARE EQUAL "${disversion}" "" result)
if(result)
  #sid/rawhide with no version - use project name
  message("-- Found no distro version - Using codename")
  file(STRINGS /etc/os-release disversion REGEX "^VERSION_CODENAME=")
  string(REGEX REPLACE "VERSION_CODENAME=" "" disversion "99_${disversion}")
endif()
string(REGEX REPLACE "\"" "" disversion "${disversion}")
string(REGEX REPLACE "/" "" disversion "${disversion}")
string(REGEX REPLACE " " "" disversion "${disversion}")
#RPM Distro's
if(${distro} MATCHES "Alma*" OR ${distro} MATCHES "Rocky*" OR ${distro} MATCHES "Fedora*" OR ${distro} MATCHES "Red*" OR ${distro} MATCHES "CentOS*" OR ${distro} MATCHES "Oracle*" OR ${distro} MATCHES "openSUSE*" OR ${distro} MATCHES "SUSE*")
  set(RPM 1)
endif()
#Package architecture
if(${RPM})
  set(PACKAGE_DELIMITER "-")
  set(PACKAGE_ARCHITECTURE ".${CMAKE_HOST_SYSTEM_PROCESSOR}")
else()
  set(PACKAGE_DELIMITER "_")
  set(PACKAGE_ARCHITECTURE "_${CMAKE_HOST_SYSTEM_PROCESSOR}")
  if(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "x86_64")
    set(PACKAGE_ARCHITECTURE "_amd64")
  endif()
endif()
set(PACKAGE_DISTRO ${HARDINFO2_VERSION}-${distro}-${disversion}${CPACK_SYSTEM_NAME})
SET(CPACK_PACKAGE_VERSION ${HARDINFO2_VERSION})
#Put it together
string(REPLACE " " "${PACKAGE_DELIMITER}" CPACK_PACKAGE_FILE_NAME "hardinfo2${PACKAGE_DELIMITER}${PACKAGE_DISTRO}${PACKAGE_ARCHITECTURE}")
string(REPLACE " " "${PACKAGE_DELIMITER}" CPACK_SOURCE_PACKAGE_FILE_NAME "hardinfo2${PACKAGE_DELIMITER}${PACKAGE_DISTRO}${PACKAGE_ARCHITECTURE}")
message("-- Found Package Version ${CPACK_PACKAGE_VERSION}")
message("-- Found distro description ${distro}${disversion}")

#flavour output
set(HARDINFO2_OS ${distro})

#fedora ->35
if(${disversion} LESS 35.99)
  if(${distro} MATCHES "Fedora*")
    message("Fedora ->35 - LS24")
    set(HARDINFO2_LIBSOUP3 0)
  endif()
endif()

#centos/redhat/oracle/opensuse/suse ->9
if(${disversion} LESS 9.99)
  if(${distro} MATCHES "Red*" OR ${distro} MATCHES "CentOS*" OR ${distro} MATCHES "Oracle*" OR ${distro} MATCHES "openSUSE*" OR ${distro} MATCHES "Alma*" OR ${distro} MATCHES "Rocky*")
    message("Centos/Redhat/oracle/opensuse/suse/rocky/alma ->9 - LS24")
    set(HARDINFO2_LIBSOUP3 0)
  endif()
endif()

#centos/redhat/oracle/opensuse/suse 6
if(${disversion} LESS 6.99)
  if((${distro} MATCHES "Red*" OR ${distro} MATCHES "CentOS*" OR ${distro} MATCHES "Oracle*" OR ${distro} MATCHES "openSUSE*" OR ${distro} MATCHES "SUSE*"))
    message("RPM EL6 - GTK2 - deprecated - support will end at any time")
    message("RPM EL6 - LS24 - deprecated version 2.34.3 - but ok")
    set(HARDINFO2_GTK3 0)
    set(PACKAGE_LIBSOUP2_MINVERSION 2.34.3)
  endif()
endif()

#debian 7
if(${distro}${disversion} MATCHES "DebianGNULinux7")
    message("DEB 7 - GTK2 to avoid c11 for ubergraph - deprecated - support will end at any time")
    message("DEB 7 - LS24 - deprecated version 2.34.3 - but ok")
    set(HARDINFO2_GTK3 0)
    set(PACKAGE_LIBSOUP2_MINVERSION 2.34.3)
endif()

#debian 8
if(${distro}${disversion} MATCHES "DebianGNULinux8")
    message("DEB 8 - GTK3 version 3.14.5 is low - Themes disabled")
endif()

#debian ->11
if(${disversion} LESS 11.99)
  if(${distro} MATCHES "DebianGNULinux")
    message("DEB ->11 - LS24")
    set(HARDINFO2_LIBSOUP3 0)
  endif()
endif()

#ubuntu 20.04
if(${disversion} LESS 20.99)
  if(${distro} MATCHES "Ubuntu")
    message("Ubuntu ->20.xx - LS24")
    set(HARDINFO2_LIBSOUP3 0)
  endif()
endif()


#Fedora 39 - bug with man pages - upgrade cmake to 3.28.x

################################################################################

if(${CMAKE_BUILD_TYPE} MATCHES [Dd]ebug)
	set(HARDINFO2_DEBUG 1)
        if(${distro}${disversion} MATCHES "DebianGNULinux7")
        else()
	   set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsanitize=address")
        endif()
endif()
add_subdirectory(po)


include(FindPkgConfig)
if (HARDINFO2_GTK3)
    message(STATUS "Building for GTK3")
    pkg_check_modules(GTK REQUIRED gtk+-3.0>=3.0 cairo>=1.0 cairo-png>=1.0 gthread-2.0>=2.10 gmodule-export-2.0>=2.10)
    add_definitions(-DGTK_DISABLE_SINGLE_INCLUDES)
else()
    message(STATUS "Building for GTK2 - (Deprecated - Please update your distro!!)")
    pkg_check_modules(GTK REQUIRED gtk+-2.0>=2.10 gthread-2.0>=2.10 gmodule-export-2.0>=2.10)
endif()

if (${HARDINFO2_LIBSOUP3})
    pkg_check_modules(LIBSOUP REQUIRED libsoup-3.0>=3.00)
else()
    pkg_check_modules(LIBSOUP REQUIRED libsoup-2.4>=${PACKAGE_LIBSOUP2_MINVERSION})
endif()
pkg_check_modules(GLIB2 REQUIRED glib-2.0>=${PACKAGE_LIBGLIB2_MINVERSION})
pkg_check_modules(JSON_GLIB REQUIRED json-glib-1.0>=0.14.2)
pkg_check_modules(X11 REQUIRED x11)

include(FindZLIB REQUIRED)

include_directories(
	${CMAKE_SOURCE_DIR}
	${CMAKE_SOURCE_DIR}/includes
	${CMAKE_SOURCE_DIR}/includes/${HARDINFO2_ARCH}
	${CMAKE_SOURCE_DIR}/deps/uber-graph
	${CMAKE_SOURCE_DIR}/deps/sysobj_early/include
	${CMAKE_SOURCE_DIR}/deps/sysobj_early/gui
	${CMAKE_BINARY_DIR}
	${GTK_INCLUDE_DIRS}
	${LIBSOUP_INCLUDE_DIRS}
	${ZLIB_INCLUDE_DIRS}
	${X11_INCLUDE_DIRS}
	${JSON_GLIB_INCLUDE_DIRS}
)
link_directories(
	${GTK_LIBRARY_DIRS}
	${LIBSOUP_LIBRARY_DIRS}
	${X11_LIBRARY_DIRS}
	${JSON_GLIB_LIBRARY_DIRS}
)

set(HARDINFO2_MODULES
	computer
	devices
	benchmark
	network
)
set(HARDINFO2_RESOURCES
	"data/benchmark.data"
	"data/benchmark.json"
	"data/blobs-update-version.json"
	"data/vendor.ids"
	"data/sdcard.ids"
	"data/usb.ids"
	"data/arm.ids"
	"data/edid.ids"
	"data/ieee_oui.ids"
	"data/pci.ids"
	"data/kernel-module-icons.json"
)
set(HARDINFO2_MANPAGES
	"hardinfo2.1"
)
set(MODULE_computer_SOURCES
	modules/computer.c
	modules/computer/alsa.c
	modules/computer/boots.c
	modules/computer/display.c
	modules/computer/environment.c
	modules/computer/filesystem.c
	modules/computer/languages.c
	modules/computer/loadavg.c
	modules/computer/memory.c
	modules/computer/memory_usage.c
	modules/computer/modules.c
	modules/computer/os.c
	modules/computer/ubuntu_flavors.c
	modules/computer/uptime.c
	modules/computer/users.c
	modules/computer/groups.c
)
set(MODULE_devices_SOURCES
	modules/devices.c
	modules/devices/${HARDINFO2_ARCH}/processor.c
	modules/devices/gpu.c
	modules/devices/monitors.c
	modules/devices/battery.c
	modules/devices/dmi.c
	modules/devices/dmi_memory.c
	modules/devices/firmware.c
	modules/devices/devicetree.c
	modules/devices/inputdevices.c
	modules/devices/pci.c
	modules/devices/printers.c
	modules/devices/resources.c
	modules/devices/sensors.c
#	modules/devices/spd-decode.c
	modules/devices/storage.c
	modules/devices/usb.c
)
set(MODULE_network_SOURCES
	modules/network.c
	modules/network/net.c
	modules/network/nfs.c
	modules/network/samba.c
)
set(MODULE_benchmark_SOURCES
	modules/benchmark.c
	modules/benchmark/bench_util.c
	modules/benchmark/blowfish.c
	modules/benchmark/blowfish2.c
	modules/benchmark/cryptohash.c
	modules/benchmark/fbench.c
	modules/benchmark/fftbench.c
	modules/benchmark/fft.c
	modules/benchmark/fib.c
	modules/benchmark/md5.c
	modules/benchmark/nqueens.c
	modules/benchmark/raytrace.c
	modules/benchmark/sha1.c
	modules/benchmark/zlib.c
	modules/benchmark/sysbench.c
	modules/benchmark/iperf3.c
	modules/benchmark/drawing.c
	modules/benchmark/guibench.c
)

set_source_files_properties(
	modules/benchmark/blowfish.c
	modules/benchmark/fftbench.c
	modules/benchmark/md5.c
	modules/benchmark/sha1.c
	PROPERTIES
	COMPILE_FLAGS "-O0 -Werror=implicit-function-declaration"
)

set_source_files_properties(
	modules/devices/monitors.c
	modules/devices/dmi_memory.c
#	modules/devices/spd-decode.c
	hardinfo2/problem_marker.c
	hardinfo2/hinote_util.c
	PROPERTIES
	COMPILE_FLAGS "-std=c99 -Wall -Wextra -Wno-unused-function -Wno-switch -Werror=implicit-function-declaration"
)

foreach (_module ${HARDINFO2_MODULES})
	add_library(${_module} MODULE ${MODULE_${_module}_SOURCES})
	set_target_properties(${_module} PROPERTIES PREFIX "")
	set_target_properties(${_module} PROPERTIES COMPILE_FLAGS "-Wall -Wextra -Wno-unused-parameter -Wno-unused-function -Wno-missing-braces -Wno-switch -Werror=implicit-function-declaration")
	target_link_libraries(${_module} ${JSON_GLIB_LIBRARIES})
endforeach()

find_library(LIBSENSORS_LIBRARY NAMES libsensors.so)
if (LIBSENSORS_LIBRARY)
	set(HAS_LIBSENSORS 1)
	target_link_libraries(devices ${LIBSENSORS_LIBRARY})
endif ()

add_library(sysobj_early STATIC
	deps/sysobj_early/src/gg_slist.c
	deps/sysobj_early/src/strstr_word.c
	deps/sysobj_early/src/auto_free.c
	deps/sysobj_early/src/util_ids.c
	deps/sysobj_early/src/util_sysobj.c
	deps/sysobj_early/src/appf.c
	deps/sysobj_early/src/nice_name.c
	deps/sysobj_early/gui/uri_handler.c
	deps/sysobj_early/src/util_edid.c
	deps/sysobj_early/src/format_early.c
	deps/sysobj_early/src/cpubits.c
)
set_target_properties(sysobj_early PROPERTIES COMPILE_FLAGS "-std=c99 -Wall -Wextra -Wno-parentheses -Wno-unused-function -Werror=implicit-function-declaration")
target_link_libraries(sysobj_early m)

if (HARDINFO2_GTK3)
add_library(uber-graph STATIC
	deps/uber-graph/g-ring.c

=== po/CMakeLists.txt ===
include(Translations)
add_translations_directory("hardinfo2")
add_translations_catalog("hardinfo2" ../shell/ ../modules/ ../hardinfo2/ )

=== debian/changelog ===
hardinfo (2.1.11-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 19 Aug 2024 14:37:39 -0700

hardinfo (2.1.11-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 29 May 2024 14:13:01 -0400

=== debian/control ===
Source: hardinfo
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Boyuan Yang <byang@debian.org>
Uploaders: Simon Quigley <tsimonq2@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               gettext,
               libglib2.0-dev,
               libgtk-3-dev,
               libjson-glib-dev,
               libsoup-3.0-dev,
               zlib1g-dev
Standards-Version: 4.7.0
Homepage: https://github.com/hardinfo2/hardinfo2
Vcs-Git: https://salsa.debian.org/debian/hardinfo.git
Vcs-Browser: https://salsa.debian.org/debian/hardinfo
Description: System Information and Benchmark for Linux Systems
 Hardinfo offers System Information and Benchmark for Linux Systems.
 It is able to obtain information from both hardware and basic software.
 It can benchmark your system and compare to other machines online.

Package: hardinfo
Section: oldlibs
Architecture: all
Depends: hardinfo2, ${misc:Depends}
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: hardinfo2
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: dmidecode,
            fwupd,
            iperf3,
            lm-sensors,
            lsscsi,
            mesa-utils,
            sysbench,
            udisks2,
            xdg-utils
Suggests: pciutils
Replaces: hardinfo (<< ${binary:Version}~)
Breaks: hardinfo (<< ${binary:Version}~)
Provides: hardinfo
Description: ${source:Synopsis}
 ${source:Extended-Description}

=== debian/rules ===
#!/usr/bin/make -f

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=cmake

# No dbgsym packages:
override_dh_strip:
	@echo "not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym

## hardinfo 2.1.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,12 +2,15 @@
 cmake_policy(VERSION 3.0.2)
 project(hardinfo2)
 
-set(HARDINFO2_VERSION "2.1.11")
-
+set(HARDINFO2_VERSION "2.1.14")
+
+option(HARDINFO2_SERVICE "Build with service support" 1)
 option(HARDINFO2_GTK3 "Build for GTK3 (0/off for GTK2)" 1)
 option(HARDINFO2_LIBSOUP3 "Build for libsoup-3.0 (0/off for libsoup-2.4)" 1)
+option(HARDINFO2_QT5 "Build opengl benchmark for QT5 " 1)
 
 SET(CMAKE_INSTALL_PREFIX "/usr")
+SET(HARDINFO2_SYSTEMV 0)
 
 SET(CMAKE_MODULE_PATH  "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 include(GNUInstallDirs)
@@ -48,17 +51,19 @@
 	set(HARDINFO2_ARCH "sh")
 elseif(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "(riscv|riscv32|riscv64)")
 	set(HARDINFO2_ARCH "riscv")
+elseif(${CMAKE_HOST_SYSTEM_PROCESSOR} MATCHES "e2k")
+	set(HARDINFO2_ARCH "e2k")
 else()
 	message(FATAL_ERROR "Unsupported architecture: ${CMAKE_HOST_SYSTEM_PROCESSOR}")
 endif()
 
-add_definitions(-DLOCALEDIR="${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LOCALEDIR}")
-message(STATUS "LOCALEDIR = ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LOCALEDIR}")
+add_definitions(-DLOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}")
+message(STATUS "LOCALEDIR = ${CMAKE_INSTALL_FULL_LOCALEDIR}")
 
 message(STATUS "Building HardInfo2 for architecture: ${HARDINFO2_OS}-${HARDINFO2_ARCH}")
 
-add_definitions("-std=gnu89")
-#add_definitions("-Wno-deprecated-declarations")
+#add_definitions("-std=gnu89")
+#add_definitions("-fanalyzer")
 add_definitions("-Wextra")
 add_definitions("-Wno-missing-field-initializers")
 add_definitions("-Wformat")
@@ -68,26 +73,32 @@
 set(PACKAGE_LIBGLIB2_MINVERSION 2.24)
 
 #########################CPack PACKAGING SETUP###############################
+if(EXISTS "/etc/os-release")
+  file(STRINGS /etc/os-release distro REGEX "^NAME=")
+  file(STRINGS /etc/os-release disversion REGEX "^VERSION_ID=")
+  file(STRINGS /etc/os-release disversioncode REGEX "^VERSION_CODENAME=")
+else()
+  set(distro "Linux")
+  set(disversion "99")
+  set(disversioncode "Linux")
+endif()
 set(RPM 0)
-file(STRINGS /etc/os-release distro REGEX "^NAME=")
 string(REGEX REPLACE "NAME=" "" distro "${distro}")
 string(REGEX REPLACE "\"" "" distro "${distro}")
 string(REGEX REPLACE "/" "" distro "${distro}")
 string(REGEX REPLACE " " "" distro "${distro}")
-file(STRINGS /etc/os-release disversion REGEX "^VERSION_ID=")
 string(REGEX REPLACE "VERSION_ID=" "" disversion "${disversion}")
 string(COMPARE EQUAL "${disversion}" "" result)
 if(result)
   #sid/rawhide with no version - use project name
   message("-- Found no distro version - Using codename")
-  file(STRINGS /etc/os-release disversion REGEX "^VERSION_CODENAME=")
-  string(REGEX REPLACE "VERSION_CODENAME=" "" disversion "99_${disversion}")
+  string(REGEX REPLACE "VERSION_CODENAME=" "" disversion "99_${disversioncode}")
 endif()
 string(REGEX REPLACE "\"" "" disversion "${disversion}")
 string(REGEX REPLACE "/" "" disversion "${disversion}")
 string(REGEX REPLACE " " "" disversion "${disversion}")
 #RPM Distro's
-if(${distro} MATCHES "Alma*" OR ${distro} MATCHES "Rocky*" OR ${distro} MATCHES "Fedora*" OR ${distro} MATCHES "Red*" OR ${distro} MATCHES "CentOS*" OR ${distro} MATCHES "Oracle*" OR ${distro} MATCHES "openSUSE*" OR ${distro} MATCHES "SUSE*")
+if(${distro} MATCHES "Alma*" OR ${distro} MATCHES "Rocky*" OR ${distro} MATCHES "Fedora*" OR ${distro} MATCHES "Red*" OR ${distro} MATCHES "CentOS*" OR ${distro} MATCHES "Oracle*" OR ${distro} MATCHES "openSUSE*" OR ${distro} MATCHES "SUSE*" OR ${distro} MATCHES "PCLinuxOS*")
   set(RPM 1)
 endif()
 #Package architecture
@@ -132,23 +143,46 @@
 if(${disversion} LESS 6.99)
   if((${distro} MATCHES "Red*" OR ${distro} MATCHES "CentOS*" OR ${distro} MATCHES "Oracle*" OR ${distro} MATCHES "openSUSE*" OR ${distro} MATCHES "SUSE*"))
     message("RPM EL6 - GTK2 - deprecated - support will end at any time")
+    set(HARDINFO2_GTK3 0)
     message("RPM EL6 - LS24 - deprecated version 2.34.3 - but ok")
-    set(HARDINFO2_GTK3 0)
     set(PACKAGE_LIBSOUP2_MINVERSION 2.34.3)
-  endif()
+    set(HARDINFO2_SYSTEMV 1)
+    message("RPM EL6 - no QT5 - Disabling opengl benchmarks")
+    set(HARDINFO2_QT5 0)
+  endif()
+endif()
+
+#Fedora 23
+if(${distro}${disversion} MATCHES "Fedora23")
+    message("FC23 - no QT5 - Disabling opengl benchmarks")
+    set(HARDINFO2_QT5 0)
 endif()
 
 #debian 7
 if(${distro}${disversion} MATCHES "DebianGNULinux7")
     message("DEB 7 - GTK2 to avoid c11 for ubergraph - deprecated - support will end at any time")
     message("DEB 7 - LS24 - deprecated version 2.34.3 - but ok")
+    message("DEB 7 - no QT5 - Disabling opengl benchmarks")
     set(HARDINFO2_GTK3 0)
     set(PACKAGE_LIBSOUP2_MINVERSION 2.34.3)
+    set(HARDINFO2_SYSTEMV 1)
+    set(HARDINFO2_QT5 0)
 endif()
 
 #debian 8
 if(${distro}${disversion} MATCHES "DebianGNULinux8")
     message("DEB 8 - GTK3 version 3.14.5 is low - Themes disabled")
+    message("DEB 8 - no QT5 - Disabling opengl benchmarks")
+    set(HARDINFO2_QT5 0)
+endif()
+
+#debian 9
+if(${distro}${disversion} MATCHES "DebianGNULinux99")
+else()
+    if(${distro}${disversion} MATCHES "DebianGNULinux9")
+        message("DEB 9 - QT5 too low - Disabling opengl benchmarks")
+        set(HARDINFO2_QT5 0)
+    endif()
 endif()
 
 #debian ->11
@@ -157,6 +191,23 @@
     message("DEB ->11 - LS24")
     set(HARDINFO2_LIBSOUP3 0)
   endif()
+  if(${distro} MATCHES "RaspbianGNULinux")
+    message("DEB ->11 - LS24")
+    set(HARDINFO2_LIBSOUP3 0)
+  endif()
+endif()
+#pureos ->10 (debian 11 or less)
+if(${disversion} LESS 10.99)
+  if(${distro} MATCHES "PureOS")
+    message("PureOS ->10 - LS24")
+    set(HARDINFO2_LIBSOUP3 0)
+  endif()
+endif()
+
+#ubuntu 16
+if(${distro}${disversion} MATCHES "Ubuntu16")
+    message("Ubuntu 16 - no QT5 - Disabling opengl benchmarks")
+    set(HARDINFO2_QT5 0)
 endif()
 
 #ubuntu 20.04
@@ -165,6 +216,21 @@
     message("Ubuntu ->20.xx - LS24")
     set(HARDINFO2_LIBSOUP3 0)
   endif()
+endif()
+
+#PCLinuxOS
+if(${distro} MATCHES "PCLinux")
+    set(HARDINFO2_SYSTEMV 1)
+endif()
+
+#Devuan
+if(${distro} MATCHES "Devuan")
+    set(HARDINFO2_SYSTEMV 1)
+endif()
+
+#WSL 1/2
+if(EXISTS "/bin/wslinfo")
+    message("WSL Detected")
 endif()
 
 
@@ -179,8 +245,12 @@
 	   set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsanitize=address")
         endif()
 endif()
+
 add_subdirectory(po)
 
+if(HARDINFO2_QT5)
+  add_subdirectory(deps/qgears2)
+endif()
 
 include(FindPkgConfig)
 if (HARDINFO2_GTK3)
@@ -279,7 +349,6 @@
 	modules/devices/printers.c
 	modules/devices/resources.c
 	modules/devices/sensors.c
-#	modules/devices/spd-decode.c
 	modules/devices/storage.c
 	modules/devices/usb.c
 )
@@ -289,6 +358,7 @@
 	modules/network/nfs.c
 	modules/network/samba.c
 )
+if(HARDINFO2_QT5)
 set(MODULE_benchmark_SOURCES
 	modules/benchmark.c
 	modules/benchmark/bench_util.c
@@ -306,58 +376,8 @@
 	modules/benchmark/zlib.c
 	modules/benchmark/sysbench.c
 	modules/benchmark/iperf3.c
+	modules/benchmark/opengl.c
 	modules/benchmark/drawing.c
 	modules/benchmark/guibench.c
 )
-
-set_source_files_properties(
-	modules/benchmark/blowfish.c
-	modules/benchmark/fftbench.c
-	modules/benchmark/md5.c
-	modules/benchmark/sha1.c
-	PROPERTIES
-	COMPILE_FLAGS "-O0 -Werror=implicit-function-declaration"
-)
-
-set_source_files_properties(
-	modules/devices/monitors.c
-	modules/devices/dmi_memory.c
-#	modules/devices/spd-decode.c
-	hardinfo2/problem_marker.c
-	hardinfo2/hinote_util.c
-	PROPERTIES
-	COMPILE_FLAGS "-std=c99 -Wall -Wextra -Wno-unused-function -Wno-switch -Werror=implicit-function-declaration"
-)
-
-foreach (_module ${HARDINFO2_MODULES})
-	add_library(${_module} MODULE ${MODULE_${_module}_SOURCES})
-	set_target_properties(${_module} PROPERTIES PREFIX "")
-	set_target_properties(${_module} PROPERTIES COMPILE_FLAGS "-Wall -Wextra -Wno-unused-parameter -Wno-unused-function -Wno-missing-braces -Wno-switch -Werror=implicit-function-declaration")
-	target_link_libraries(${_module} ${JSON_GLIB_LIBRARIES})
-endforeach()
-
-find_library(LIBSENSORS_LIBRARY NAMES libsensors.so)
-if (LIBSENSORS_LIBRARY)
-	set(HAS_LIBSENSORS 1)
-	target_link_libraries(devices ${LIBSENSORS_LIBRARY})
-endif ()
-
-add_library(sysobj_early STATIC
-	deps/sysobj_early/src/gg_slist.c
-	deps/sysobj_early/src/strstr_word.c
-	deps/sysobj_early/src/auto_free.c
-	deps/sysobj_early/src/util_ids.c
-	deps/sysobj_early/src/util_sysobj.c
-	deps/sysobj_early/src/appf.c
-	deps/sysobj_early/src/nice_name.c
-	deps/sysobj_early/gui/uri_handler.c
-	deps/sysobj_early/src/util_edid.c
-	deps/sysobj_early/src/format_early.c
-	deps/sysobj_early/src/cpubits.c
-)
-set_target_properties(sysobj_early PROPERTIES COMPILE_FLAGS "-std=c99 -Wall -Wextra -Wno-parentheses -Wno-unused-function -Werror=implicit-function-declaration")
-target_link_libraries(sysobj_early m)
-
-if (HARDINFO2_GTK3)
-add_library(uber-graph STATIC
-	deps/uber-graph/g-ring.c
+else()

=== debian/changelog ===
hardinfo (2.1.14-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 17 Sep 2024 20:02:56 -0700

hardinfo (2.1.14-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boyuan Yang <byang@debian.org>  Thu, 05 Sep 2024 20:52:56 -0400

hardinfo (2.1.14-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Add new build-dep qtbase5-dev, qtbase5-dev-tools,
    libqt5opengl5-dev.
  * debian/copyright: Update copyright information.

 -- Boyuan Yang <byang@debian.org>  Wed, 04 Sep 2024 10:30:45 -0400

hardinfo (2.1.11-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boyuan Yang <byang@debian.org>  Thu, 06 Jun 2024 22:10:29 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,10 @@
                libglib2.0-dev,
                libgtk-3-dev,
                libjson-glib-dev,
+               libqt5opengl5-dev,
                libsoup-3.0-dev,
+               qtbase5-dev,
+               qtbase5-dev-tools,
                zlib1g-dev
 Standards-Version: 4.7.0
 Homepage: https://github.com/hardinfo2/hardinfo2
@@ -30,16 +33,16 @@
 
 Package: hardinfo2
 Architecture: linux-any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: dmidecode,
-            fwupd,
-            iperf3,
-            lm-sensors,
-            lsscsi,
-            mesa-utils,
-            sysbench,
-            udisks2,
-            xdg-utils
+Depends: ${misc:Depends}, ${shlibs:Depends},
+         dmidecode,
+         iperf3,
+         lm-sensors,
+         lsscsi,
+         mesa-utils,
+         sysbench,
+         udisks2,
+         xdg-utils
+Recommends: fwupd
 Suggests: pciutils
 Replaces: hardinfo (<< ${binary:Version}~)
 Breaks: hardinfo (<< ${binary:Version}~)

## hardinfo 2.1.17

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_policy(VERSION 3.0.2)
 project(hardinfo2)
 
-set(HARDINFO2_VERSION "2.1.14")
+set(HARDINFO2_VERSION "2.1.17")
 
 option(HARDINFO2_SERVICE "Build with service support" 1)
 option(HARDINFO2_GTK3 "Build for GTK3 (0/off for GTK2)" 1)
@@ -11,6 +11,7 @@
 
 SET(CMAKE_INSTALL_PREFIX "/usr")
 SET(HARDINFO2_SYSTEMV 0)
+SET(HARDINFO2_RUNIT 0)
 
 SET(CMAKE_MODULE_PATH  "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 include(GNUInstallDirs)
@@ -98,7 +99,7 @@
 string(REGEX REPLACE "/" "" disversion "${disversion}")
 string(REGEX REPLACE " " "" disversion "${disversion}")
 #RPM Distro's
-if(${distro} MATCHES "Alma*" OR ${distro} MATCHES "Rocky*" OR ${distro} MATCHES "Fedora*" OR ${distro} MATCHES "Red*" OR ${distro} MATCHES "CentOS*" OR ${distro} MATCHES "Oracle*" OR ${distro} MATCHES "openSUSE*" OR ${distro} MATCHES "SUSE*" OR ${distro} MATCHES "PCLinuxOS*")
+if(${distro} MATCHES "Alma*" OR ${distro} MATCHES "Rocky*" OR ${distro} MATCHES "Fedora*" OR ${distro} MATCHES "RedHat*" OR ${distro} MATCHES "CentOS*" OR ${distro} MATCHES "Oracle*" OR ${distro} MATCHES "openSUSE*" OR ${distro} MATCHES "SUSE*" OR ${distro} MATCHES "PCLinuxOS*" OR ${distro} MATCHES "Ultramarine*" OR ${distro} MATCHES "Nobara*")
   set(RPM 1)
 endif()
 #Package architecture
@@ -218,6 +219,12 @@
   endif()
 endif()
 
+#slackware
+if(${distro} MATCHES "Slackware")
+    message("Slackware - LS24")
+    set(HARDINFO2_LIBSOUP3 0)
+endif()
+
 #PCLinuxOS
 if(${distro} MATCHES "PCLinux")
     set(HARDINFO2_SYSTEMV 1)
@@ -226,6 +233,11 @@
 #Devuan
 if(${distro} MATCHES "Devuan")
     set(HARDINFO2_SYSTEMV 1)
+endif()
+#Devuan
+
+if(${distro} MATCHES "Void")
+    set(HARDINFO2_RUNIT 1)
 endif()
 
 #WSL 1/2
@@ -329,7 +341,6 @@
 	modules/computer/memory_usage.c
 	modules/computer/modules.c
 	modules/computer/os.c
-	modules/computer/ubuntu_flavors.c
 	modules/computer/uptime.c
 	modules/computer/users.c
 	modules/computer/groups.c
@@ -345,6 +356,7 @@
 	modules/devices/firmware.c
 	modules/devices/devicetree.c
 	modules/devices/inputdevices.c
+	modules/devices/spd-decode.c
 	modules/devices/pci.c
 	modules/devices/printers.c
 	modules/devices/resources.c
@@ -370,14 +382,3 @@
 	modules/benchmark/fft.c
 	modules/benchmark/fib.c
 	modules/benchmark/md5.c
-	modules/benchmark/nqueens.c
-	modules/benchmark/raytrace.c
-	modules/benchmark/sha1.c
-	modules/benchmark/zlib.c
-	modules/benchmark/sysbench.c
-	modules/benchmark/iperf3.c
-	modules/benchmark/opengl.c
-	modules/benchmark/drawing.c
-	modules/benchmark/guibench.c
-)
-else()

=== debian/changelog ===
hardinfo (2.1.17-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boyuan Yang <byang@debian.org>  Tue, 08 Oct 2024 17:38:07 -0400

hardinfo (2.1.17-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Add new Recommend: x11-xserver-utils, vulkan-tools.
  * debian/copyright: Update license information.

 -- Boyuan Yang <byang@debian.org>  Tue, 08 Oct 2024 15:17:18 -0400

## hardinfo 2.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_policy(VERSION 3.0.2)
 project(hardinfo2)
 
-set(HARDINFO2_VERSION "2.1.17")
+set(HARDINFO2_VERSION "2.2.1")
 
 option(HARDINFO2_SERVICE "Build with service support" 1)
 option(HARDINFO2_GTK3 "Build for GTK3 (0/off for GTK2)" 1)
@@ -72,6 +72,8 @@
 
 set(PACKAGE_LIBSOUP2_MINVERSION 2.42)
 set(PACKAGE_LIBGLIB2_MINVERSION 2.24)
+SET(RPM_REQ "sysbench, udisks2, glx-utils, lsscsi, lm_sensors, xdg-utils, iperf3, fwupd, xrandr, vulkan-tools")
+SET(DEB_REQ "sysbench, udisks2, mesa-utils, lsscsi, lm-sensors, xdg-utils, iperf3, fwupd, x11-server-utils, vulkan-tools")
 
 #########################CPack PACKAGING SETUP###############################
 if(EXISTS "/etc/os-release")
@@ -99,7 +101,7 @@
 string(REGEX REPLACE "/" "" disversion "${disversion}")
 string(REGEX REPLACE " " "" disversion "${disversion}")
 #RPM Distro's
-if(${distro} MATCHES "Alma*" OR ${distro} MATCHES "Rocky*" OR ${distro} MATCHES "Fedora*" OR ${distro} MATCHES "RedHat*" OR ${distro} MATCHES "CentOS*" OR ${distro} MATCHES "Oracle*" OR ${distro} MATCHES "openSUSE*" OR ${distro} MATCHES "SUSE*" OR ${distro} MATCHES "PCLinuxOS*" OR ${distro} MATCHES "Ultramarine*" OR ${distro} MATCHES "Nobara*")
+if(${distro} MATCHES "Alma*" OR ${distro} MATCHES "Rocky*" OR ${distro} MATCHES "Fedora*" OR ${distro} MATCHES "RedHat*" OR ${distro} MATCHES "CentOS*" OR ${distro} MATCHES "Oracle*" OR ${distro} MATCHES "openSUSE*" OR ${distro} MATCHES "SUSE*" OR ${distro} MATCHES "PCLinuxOS*" OR ${distro} MATCHES "Ultramarine*" OR ${distro} MATCHES "Nobara*" OR ${distro} MATCHES "OpenMandriva*")
   set(RPM 1)
 endif()
 #Package architecture
@@ -140,9 +142,19 @@
   endif()
 endif()
 
+#centos/redhat/oracle/opensuse/suse 7
+if(${disversion} LESS 7.99)
+  if((${distro} MATCHES "Red*" OR ${distro} MATCHES "CentOS*" OR ${distro} MATCHES "Oracle*" OR ${distro} MATCHES "openSUSE*" OR ${distro} MATCHES "SUSE*"))
+      SET(RPM_REQ "sysbench, udisks2, glx-utils, lsscsi, lm_sensors, xdg-utils, iperf3, fwupd, xrandr") #miss vulkan-tools
+  endif()
+endif()
+
 #centos/redhat/oracle/opensuse/suse 6
 if(${disversion} LESS 6.99)
   if((${distro} MATCHES "Red*" OR ${distro} MATCHES "CentOS*" OR ${distro} MATCHES "Oracle*" OR ${distro} MATCHES "openSUSE*" OR ${distro} MATCHES "SUSE*"))
+    message("RPM EL6 - Too old to have run directory - creating at install")
+    #create run directory owned by root
+    install(DIRECTORY DESTINATION /run)
     message("RPM EL6 - GTK2 - deprecated - support will end at any time")
     set(HARDINFO2_GTK3 0)
     message("RPM EL6 - LS24 - deprecated version 2.34.3 - but ok")
@@ -150,13 +162,23 @@
     set(HARDINFO2_SYSTEMV 1)
     message("RPM EL6 - no QT5 - Disabling opengl benchmarks")
     set(HARDINFO2_QT5 0)
-  endif()
-endif()
+    SET(RPM_REQ "sysbench, lsscsi, glx-utils, lm_sensors, xdg-utils, xrandr") #miss vulkan-tools, udisks2, fwupd, iperf3
+  endif()
+endif()
+
+#opensuse tumbeweed
+if(${disversion} GREATER 20000101)
+  if(${distro} MATCHES "openSUSE*")
+    SET(RPM_REQ "sysbench, udisks2, lsscsi, xdg-utils, fwupd, xrandr,vulkan-tools,  Mesa-demo-x, iperf, sensors") 
+  endif()
+endif()
+
 
 #Fedora 23
 if(${distro}${disversion} MATCHES "Fedora23")
     message("FC23 - no QT5 - Disabling opengl benchmarks")
     set(HARDINFO2_QT5 0)
+    SET(RPM_REQ "sysbench, udisks2, glx-utils, lsscsi, lm_sensors, xdg-utils, iperf3, fwupd, xrandr") #miss vulkan-tools
 endif()
 
 #debian 7
@@ -197,6 +219,7 @@
     set(HARDINFO2_LIBSOUP3 0)
   endif()
 endif()
+
 #pureos ->10 (debian 11 or less)
 if(${disversion} LESS 10.99)
   if(${distro} MATCHES "PureOS")
@@ -225,8 +248,14 @@
     set(HARDINFO2_LIBSOUP3 0)
 endif()
 
+#OpenMandriva
+if(${distro} MATCHES "OpenMandriva")
+    SET(RPM_REQ "udisks2, sysbench, fwupd, lm_sensors, xdg-utils, xrandr, vulkan-tools,  glxinfo, iperf") #miss lsscsi
+endif()
+
 #PCLinuxOS
 if(${distro} MATCHES "PCLinux")
+    SET(RPM_REQ "udisks2, lsscsi, lm_sensors, xdg-utils, xrandr, vulkan-tools,  glxinfo, iperf") #miss sysbench,fwupd
     set(HARDINFO2_SYSTEMV 1)
 endif()
 
@@ -234,10 +263,31 @@
 if(${distro} MATCHES "Devuan")
     set(HARDINFO2_SYSTEMV 1)
 endif()
-#Devuan
-
+
+#MX
+if(${distro} MATCHES "DebianGNULinux")
+    if(EXISTS "/etc/initrd_release")
+        file(STRINGS /etc/initrd_release mxdistro REGEX "^NAME=")
+        if(${mxdistro} MATCHES "MX")
+            message("-- Found MX")
+            set(HARDINFO2_SYSTEMV 1)
+	    set(distro "MXLinux")
+            set(HARDINFO2_OS ${distro})
+        endif()
+   endif()
+endif()
+
+#Void
 if(${distro} MATCHES "Void")
     set(HARDINFO2_RUNIT 1)
+endif()
+
+if(${distro} MATCHES "Alpine")
+    set(HARDINFO2_SYSTEMV 1)
+endif()
+
+if(${distro} MATCHES "Puppy")
+    set(HARDINFO2_SYSTEMV 1)
 endif()
 
 #WSL 1/2
@@ -291,94 +341,3 @@
 	${CMAKE_SOURCE_DIR}/includes/${HARDINFO2_ARCH}
 	${CMAKE_SOURCE_DIR}/deps/uber-graph
 	${CMAKE_SOURCE_DIR}/deps/sysobj_early/include
-	${CMAKE_SOURCE_DIR}/deps/sysobj_early/gui
-	${CMAKE_BINARY_DIR}
-	${GTK_INCLUDE_DIRS}
-	${LIBSOUP_INCLUDE_DIRS}
-	${ZLIB_INCLUDE_DIRS}
-	${X11_INCLUDE_DIRS}
-	${JSON_GLIB_INCLUDE_DIRS}
-)
-link_directories(
-	${GTK_LIBRARY_DIRS}
-	${LIBSOUP_LIBRARY_DIRS}
-	${X11_LIBRARY_DIRS}
-	${JSON_GLIB_LIBRARY_DIRS}
-)
-
-set(HARDINFO2_MODULES
-	computer
-	devices
-	benchmark
-	network
-)
-set(HARDINFO2_RESOURCES
-	"data/benchmark.data"
-	"data/benchmark.json"
-	"data/blobs-update-version.json"
-	"data/vendor.ids"
-	"data/sdcard.ids"
-	"data/usb.ids"
-	"data/arm.ids"
-	"data/edid.ids"
-	"data/ieee_oui.ids"
-	"data/pci.ids"
-	"data/kernel-module-icons.json"
-)
-set(HARDINFO2_MANPAGES
-	"hardinfo2.1"
-)
-set(MODULE_computer_SOURCES
-	modules/computer.c
-	modules/computer/alsa.c
-	modules/computer/boots.c
-	modules/computer/display.c
-	modules/computer/environment.c
-	modules/computer/filesystem.c
-	modules/computer/languages.c
-	modules/computer/loadavg.c
-	modules/computer/memory.c
-	modules/computer/memory_usage.c
-	modules/computer/modules.c
-	modules/computer/os.c
-	modules/computer/uptime.c
-	modules/computer/users.c
-	modules/computer/groups.c
-)
-set(MODULE_devices_SOURCES
-	modules/devices.c
-	modules/devices/${HARDINFO2_ARCH}/processor.c
-	modules/devices/gpu.c
-	modules/devices/monitors.c
-	modules/devices/battery.c
-	modules/devices/dmi.c
-	modules/devices/dmi_memory.c
-	modules/devices/firmware.c
-	modules/devices/devicetree.c
-	modules/devices/inputdevices.c
-	modules/devices/spd-decode.c
-	modules/devices/pci.c
-	modules/devices/printers.c
-	modules/devices/resources.c
-	modules/devices/sensors.c
-	modules/devices/storage.c
-	modules/devices/usb.c
-)
-set(MODULE_network_SOURCES
-	modules/network.c
-	modules/network/net.c
-	modules/network/nfs.c
-	modules/network/samba.c
-)
-if(HARDINFO2_QT5)
-set(MODULE_benchmark_SOURCES
-	modules/benchmark.c
-	modules/benchmark/bench_util.c
-	modules/benchmark/blowfish.c
-	modules/benchmark/blowfish2.c
-	modules/benchmark/cryptohash.c
-	modules/benchmark/fbench.c
-	modules/benchmark/fftbench.c
-	modules/benchmark/fft.c
-	modules/benchmark/fib.c
-	modules/benchmark/md5.c

=== debian/changelog ===
hardinfo (2.2.1-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boyuan Yang <byang@debian.org>  Sun, 03 Nov 2024 10:52:34 -0500

hardinfo (2.2.1-2) unstable; urgency=medium

  * debian/patches/backport/4da6e7843e79bb69520164c1ff2e2e776be8a05e.patch:
    Add upstream patch to fix FTBFS on loongarch. (Closes: #1086612)

 -- Boyuan Yang <byang@debian.org>  Sun, 03 Nov 2024 10:47:28 -0500

hardinfo (2.2.1-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boyuan Yang <byang@debian.org>  Fri, 01 Nov 2024 14:50:19 -0400

hardinfo (2.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 30 Oct 2024 16:20:26 -0400

## hardinfo 2.2.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 cmake_policy(VERSION 3.0.2)
 project(hardinfo2)
 
-set(HARDINFO2_VERSION "2.2.1")
+set(HARDINFO2_VERSION "2.2.4")
 
 option(HARDINFO2_SERVICE "Build with service support" 1)
 option(HARDINFO2_GTK3 "Build for GTK3 (0/off for GTK2)" 1)
@@ -73,7 +73,7 @@
 set(PACKAGE_LIBSOUP2_MINVERSION 2.42)
 set(PACKAGE_LIBGLIB2_MINVERSION 2.24)
 SET(RPM_REQ "sysbench, udisks2, glx-utils, lsscsi, lm_sensors, xdg-utils, iperf3, fwupd, xrandr, vulkan-tools")
-SET(DEB_REQ "sysbench, udisks2, mesa-utils, lsscsi, lm-sensors, xdg-utils, iperf3, fwupd, x11-server-utils, vulkan-tools")
+SET(DEB_REQ "sysbench, udisks2, mesa-utils, lsscsi, lm-sensors, xdg-utils, iperf3, fwupd, x11-xserver-utils, vulkan-tools")
 
 #########################CPack PACKAGING SETUP###############################
 if(EXISTS "/etc/os-release")
@@ -190,6 +190,7 @@
     set(PACKAGE_LIBSOUP2_MINVERSION 2.34.3)
     set(HARDINFO2_SYSTEMV 1)
     set(HARDINFO2_QT5 0)
+    SET(DEB_REQ "sysbench, mesa-utils, lsscsi, lm-sensors, xdg-utils, x11-xserver-utils") #miss vulkan-tools,fwupd, udisks2, iperf3
 endif()
 
 #debian 8
@@ -197,6 +198,7 @@
     message("DEB 8 - GTK3 version 3.14.5 is low - Themes disabled")
     message("DEB 8 - no QT5 - Disabling opengl benchmarks")
     set(HARDINFO2_QT5 0)
+    SET(DEB_REQ "sysbench, udisks2, mesa-utils, lsscsi, lm-sensors, xdg-utils, iperf3, x11-xserver-utils") #miss vulkan-tools,fwupd
 endif()
 
 #debian 9
@@ -205,7 +207,13 @@
     if(${distro}${disversion} MATCHES "DebianGNULinux9")
         message("DEB 9 - QT5 too low - Disabling opengl benchmarks")
         set(HARDINFO2_QT5 0)
+	SET(DEB_REQ "sysbench, udisks2, mesa-utils, lsscsi, lm-sensors, xdg-utils, iperf3, fwupd, x11-xserver-utils") #miss vulkan-tools
     endif()
+endif()
+
+#debian 10
+if(${distro}${disversion} MATCHES "DebianGNULinux10")
+  SET(DEB_REQ "udisks2, mesa-utils, lsscsi, lm-sensors, xdg-utils, iperf3, fwupd, x11-xserver-utils, vulkan-tools") #miss sysbench
 endif()
 
 #debian ->11
@@ -232,6 +240,12 @@
 if(${distro}${disversion} MATCHES "Ubuntu16")
     message("Ubuntu 16 - no QT5 - Disabling opengl benchmarks")
     set(HARDINFO2_QT5 0)
+    SET(DEB_REQ "sysbench, udisks2, mesa-utils, lsscsi, lm-sensors, xdg-utils, iperf3, fwupd, x11-xserver-utils") #miss vulkan-tools
+endif()
+
+#ubuntu 18
+if(${distro}${disversion} MATCHES "Ubuntu18")
+    SET(DEB_REQ "sysbench, udisks2, mesa-utils, lsscsi, lm-sensors, xdg-utils, iperf3, fwupd, x11-xserver-utils") #miss vulkan-tools
 endif()
 
 #ubuntu 20.04
@@ -290,6 +304,14 @@
     set(HARDINFO2_SYSTEMV 1)
 endif()
 
+if(${distro} MATCHES "Artix")
+    set(HARDINFO2_SYSTEMV 1)
+endif()
+
+if(HARDINFO2_ARCH MATCHES "riscv")
+    SET(DEB_REQ "udisks2, mesa-utils, lsscsi, lm-sensors, xdg-utils, iperf3, fwupd, x11-xserver-utils, vulkan-tools") #miss sysbench
+endif()
+
 #WSL 1/2
 if(EXISTS "/bin/wslinfo")
     message("WSL Detected")
@@ -304,40 +326,3 @@
 	set(HARDINFO2_DEBUG 1)
         if(${distro}${disversion} MATCHES "DebianGNULinux7")
         else()
-	   set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsanitize=address")
-        endif()
-endif()
-
-add_subdirectory(po)
-
-if(HARDINFO2_QT5)
-  add_subdirectory(deps/qgears2)
-endif()
-
-include(FindPkgConfig)
-if (HARDINFO2_GTK3)
-    message(STATUS "Building for GTK3")
-    pkg_check_modules(GTK REQUIRED gtk+-3.0>=3.0 cairo>=1.0 cairo-png>=1.0 gthread-2.0>=2.10 gmodule-export-2.0>=2.10)
-    add_definitions(-DGTK_DISABLE_SINGLE_INCLUDES)
-else()
-    message(STATUS "Building for GTK2 - (Deprecated - Please update your distro!!)")
-    pkg_check_modules(GTK REQUIRED gtk+-2.0>=2.10 gthread-2.0>=2.10 gmodule-export-2.0>=2.10)
-endif()
-
-if (${HARDINFO2_LIBSOUP3})
-    pkg_check_modules(LIBSOUP REQUIRED libsoup-3.0>=3.00)
-else()
-    pkg_check_modules(LIBSOUP REQUIRED libsoup-2.4>=${PACKAGE_LIBSOUP2_MINVERSION})
-endif()
-pkg_check_modules(GLIB2 REQUIRED glib-2.0>=${PACKAGE_LIBGLIB2_MINVERSION})
-pkg_check_modules(JSON_GLIB REQUIRED json-glib-1.0>=0.14.2)
-pkg_check_modules(X11 REQUIRED x11)
-
-include(FindZLIB REQUIRED)
-
-include_directories(
-	${CMAKE_SOURCE_DIR}
-	${CMAKE_SOURCE_DIR}/includes
-	${CMAKE_SOURCE_DIR}/includes/${HARDINFO2_ARCH}
-	${CMAKE_SOURCE_DIR}/deps/uber-graph
-	${CMAKE_SOURCE_DIR}/deps/sysobj_early/include

=== debian/changelog ===
hardinfo (2.2.4-1~mx23+2) mx; urgency=medium

  * Move iperf3 to Suggests.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 08 Jan 2025 00:31:42 -0800

hardinfo (2.2.4-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Make recommended packages explicit dependencies.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 16 Nov 2024 18:44:15 -0800

hardinfo (2.2.4-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boyuan Yang <byang@debian.org>  Fri, 08 Nov 2024 14:08:58 -0500

hardinfo (2.2.4-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 07 Nov 2024 12:11:37 -0500

=== debian/control ===
--- 
+++ 
@@ -33,17 +33,19 @@
 
 Package: hardinfo2
 Architecture: linux-any
-Depends: ${misc:Depends}, ${shlibs:Depends},
-         dmidecode,
-         iperf3,
+Depends: dmidecode,
+         fwupd,
          lm-sensors,
          lsscsi,
          mesa-utils,
          sysbench,
          udisks2,
-         xdg-utils
-Recommends: fwupd
-Suggests: pciutils
+         vulkan-tools,
+         x11-xserver-utils,
+         xdg-utils,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Suggests: pciutils, iperf3
 Replaces: hardinfo (<< ${binary:Version}~)
 Breaks: hardinfo (<< ${binary:Version}~)
 Provides: hardinfo
